Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 80494

Summary: wrong disk geometry ?
Product: [Retired] Red Hat Public Beta Reporter: FĂ©liciano Matias <feliciano.matias>
Component: anacondaAssignee: Matt Wilson <msw>
Status: CLOSED NOTABUG QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: phoebe   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-27 18:01:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description FĂ©liciano Matias 2002-12-27 06:17:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Sorry for my poor english.

Anaconda (or something else) complains about differente geometry in parted and
Linux. A dialbox say :
bios/parted geometry : 39761/16/63 (defaut bios values)
linux geometry : 2494/255/63 (confirmed with /var/log/message)

In the dialbox i can chose :
<ignore> : ignore the error. anaconda scan the disk to find an old RedHat
installation.
After disk druid show this partition table :
type  size  start   end
ext3    10      1    21
vfat  4096     22  8343
ext3 15080   8344 38981
swap   259  38982 39507
free   125  39508 39761 # normal. there is some bad blocks that swap can't handle.

<cancel> : Don't use the disk to find an old RedHat installation. However, disk
druid show the partition table of the disk and i can do an installation on the
disk :
type  size  start   end
free    <1      1     1     # normal ?
ext3    10      1     2
vfat  4096      2   524
ext3 15080    524  2446
swap   259   2446  2479
free   125   2479  2495     # normal, there is some bad blocks that swap can't
handle.


Changing the bios values give me the same behavior. Adding hda=39761,16,63 to
boot parameters seems OK. No error message. So i don't need to chose between
<ignore> and <cancel> .

I do a complet installation with default bios, without boot parameters and
chosing <ignore> when the error message append.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Installe RedHat Phoebe
2. Check values from disk druid    

Actual Results:  Partition table change when <ignore> or <cancel> is used.

Expected Results:  Same partition table.

Additional info:

Mainbord : MSI K7T266 Pro2 Ver2.0
IDE controler : VIA vt8233 (rev 00) IDE UDMA100 controller
Hard disk :
WDC WD205AA-00BAA0, ATA DISK drive
40079088 sectors (20520 MB) w/2048KiB Cache, CHS=39761/16/63, UDMA(66)

Comment 1 Matt Wilson 2003-01-02 23:25:59 UTC
did Red Hat Linux 8.0 get a different geometry?  Can you attach
/var/log/messages output?  Also, when in phoebe, go to Ctrl+Alt+F2 and copy
/tmp/syslog to a floppy (using mcopy is the easiest way) and attach that as well.


Comment 2 Michael Fulbright 2003-01-27 18:01:29 UTC
Closing due to inactivity - please reopen if you have additional information to
add to the report.